ur_rna.GUITester.ScriptParser

## Class ASTLiteral

- java.lang.Object
- - ur_rna.GUITester.ScriptParser.SimpleNode
  - - ur_rna.GUITester.ScriptParser.ScriptNode
    - - ur_rna.GUITester.ScriptParser.ASTLiteral

- All Implemented Interfaces:
    Node, ScriptNodePropConstants

      public class ASTLiteral
      extends ScriptNode

- - ### Field Summary

    - ### Fields inherited from class ur_rna.GUITester.ScriptParser.ScriptNode

      `emptyChildArray, tokenKind`

    - ### Fields inherited from class ur_rna.GUITester.ScriptParser.SimpleNode

      `children, id, parent, parser, value`

    - ### Fields inherited from interface ur_rna.GUITester.ScriptParser.ScriptNodePropConstants

      `LHS, OPERATION, PRIMITIVE, RHS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTLiteral(GuiTestScriptParser p, int id)`
    `ASTLiteral(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue()`
    `void` | `setValue(java.lang.Object value)`
    `void` | `writeProps(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ur_rna.GUITester.ScriptParser.ScriptNode

      `add, child, childCount, dump, dump, get, getChildren, getNodeName, getNodeName, getTokenKind, getTokenName, getTokenName, hasChildren, propsToString, setTokenKind, toString`

    - ### Methods inherited from class ur_rna.GUITester.ScriptParser.SimpleNode

      `getId, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTLiteral

          public ASTLiteral(GuiTestScriptParser p,
                            int id)

    - #### ASTLiteral

          public ASTLiteral(int id)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

    - #### setValue

          public void setValue(java.lang.Object value)

    - #### writeProps

          public void writeProps(java.lang.StringBuilder sb)

      Overrides:
        `writeProps` in class `ScriptNode`